## fsharp 3.0.26

=== debian/changelog ===
fsharp (3.0.26-1) unstable; urgency=low

  * Initial release (Closes: #603306)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 04 Nov 2012 09:49:41 +1100
