=== debian/control ===
Source: fsharp
Section: cli-mono
Priority: optional
Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
  dh-autoreconf,
  cli-common-dev,
Standards-Version: 3.9.3
Homepage: http://fsharp.org
#Vcs-Git: git://git.debian.org/collab-maint/fsharp.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/fsharp.git;a=summary

Package: fsharp
Architecture: all
Depends:
  ${cli:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Description: functional-first programming language - compiler for the CLI
 F# is a multi-paradigm programming language, supporting functional,
 imperative, and object-oriented structures.
 .
 This package contains an F# compiler targeting the CLI runtime.

Package: fsharp-console
Architecture: all
Depends:
  ${cli:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Description: functional-first programming language - interactive compiler
 F# is a multi-paradigm programming language, supporting functional,
 imperative, and object-oriented structures.
 .
 This package contains an interactive F# console targeting the CLI runtime.

Package: libfsharp-build4.3-cil
Architecture: all
Depends:
  ${cli:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Description: functional-first programming language - build configuration
 F# is a multi-paradigm programming language, supporting functional,
 imperative, and object-oriented structures.
 .
 This package contains a runtime library with build configuration information.

Package: libfsharp-compiler4.3-cil
Architecture: all
Depends:
  ${cli:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Description: functional-first programming language - compiler library
 F# is a multi-paradigm programming language, supporting functional,
 imperative, and object-oriented structures.
 .
 This package contains a runtime library with helper routines for an
 F# compiler

Package: libfsharp-compiler-interactive-settings4.3-cil
Architecture: all
Depends:
  ${cli:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Description: functional-first programming language - interactive configuration
 F# is a multi-paradigm programming language, supporting functional,
 imperative, and object-oriented structures.
 .
 This package contains a runtime library with configuration routines for an
 interactive F# session

Package: libfsharp-compiler-server-shared4.3-cil
Architecture: all
Depends:
  ${cli:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Description: functional-first programming language - server interaction library
 F# is a multi-paradigm programming language, supporting functional,
 imperative, and object-oriented structures.
 .
 This package contains a runtime library with routines for interacting with
 a shared interactive F# compiler service

Package: libfsharp-core4.3-cil
Architecture: all
Depends:
  ${cli:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Description: functional-first programming language - core runtime library
 F# is a multi-paradigm programming language, supporting functional,
 imperative, and object-oriented structures.
 .
 This package contains the core runtime library for F# binaries.

Package: libfsharp-data-typeproviders4.3-cil
Architecture: all
Depends:
  ${cli:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Description: functional-first programming language - data integration library
 F# is a multi-paradigm programming language, supporting functional,
 imperative, and object-oriented structures.
 .
 This package contains a runtime library that automatically binds remote data
 sources such as OData, SQL, or WSDL into strongly-typed objects.
