=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_fixperms:
	dh_fixperms
	# Fix permissions of non-executable cruft
	find debian -iname *.xml -exec chmod 644 {} +
	find debian -iname *.sigdata -exec chmod 644 {} +
	find debian -iname *.optdata -exec chmod 644 {} +

override_dh_clideps:
	dh_clideps --exclude-moduleref=mscoree.dll

%:
	dh $@ --with=cli,autoreconf
