=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://githubredir.debian.net/github/fsharp/fsharp /github/fsharp/fsharp/(.*).tar.gz
