## fsharp 3.0.34+dfsg

=== debian/changelog ===
fsharp (3.0.34+dfsg-3ubuntu1) trusty; urgency=medium

  * Make DEP-8 test depend on only fsharp package to pick up any dependency breakage
  * Add missing libmono-compilerservices-symbolwriter4.0-cil dependency to fsharp
  * Add fsharpc/fsharpi manpages
  * Strip executable bit from xbuild .Targets files; now lintian clean!

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 13 Feb 2014 16:55:16 +1100

fsharp (3.0.34+dfsg-3) unstable; urgency=medium

  * Fix typo in FSharp.Compiler.Interactive.Settings install dir (LP: #1251253)
  * Drop disable-debug-symbols patch; replace with dependency on
    compilerservices-symbolwriter. (LP: #1259230)
  * Drop FSharp.Build.dll & FSharp.Compiler.* from the GAC and bundle them into
    the fsharp package.
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Improve watch file

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 11 Feb 2014 01:06:06 +0100

fsharp (3.0.34+dfsg-2) experimental; urgency=medium

  * Install F# xbuild project infrastructure
  * Add basic DEP-8 testsuite, checking that a minimal F# project can be built by xbuild
  * Add (temporary) links between fsharp and fsharp-console to fix xbuild projects.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 07 Feb 2014 07:43:43 +0100

fsharp (3.0.34+dfsg-1) experimental; urgency=low

  * New upstream release
  * Add README.source, documenting the +dfsg
  * Add Vcs-Git headers
  * Don't build 2.0- and 3.5-profile F# libraries
  * Fix incorrect permissions more carefully
  * Bump standards version to 3.9.5 (no changes required)
  * Properly mark as team-maintained
  * Make watch file more robust
  * Use new cli-common infrastructure to install core libraries in framework paths
    (Closes: #705906, #706683)
  * Debian CLI policy fixes for fsharpc and fsharpi - now supports parallel
    mono installations!
  * debian/patches/never-ask-for-debug-symbols.patch: Disable request of debug
    symbols for dynamically generated code by fsharpi - Mono does not implement
    this (cf: https://github.com/fsharp/fsharp/issues/241)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 17 Jan 2014 16:20:20 +1100
