=== debian/tests/control ===
Tests: basic-xbuild-project
Restrictions: 
Depends: fsharp, mono-xbuild
