## fsharp 3.1.1.26+dfsg2

=== debian/changelog ===
fsharp (3.1.1.26+dfsg2-3) unstable; urgency=medium

  * [a6804b5] Install sigdata/optdata into the GAC. (Closes: #767507)
  * [52f8ffb] Depend on Mono 3.2.8+dfsg-8 for installation, since that 
    is the minimum version to support sigdata/optdata in the GAC.

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 06 Nov 2014 10:26:05 +0000

fsharp (3.1.1.26+dfsg2-2) unstable; urgency=medium

  * [f082a28] Ensure 4.3.0 assembly gets installed (Closes: #767265)

 -- Jo Shields <jo.shields@xamarin.com>  Fri, 31 Oct 2014 12:55:19 +0000

fsharp (3.1.1.26+dfsg2-1) unstable; urgency=medium

  * [f28700d] Actually delete unneeded binaries from +dfsg.orig.tar.gz
  * [6ffdf50] Include various additional sources from F# Power Pack which 
    are needed for rebuilding the bootstrap
    (Closes: #763657)
  * [e41e70e] Forcibly convert fsproj files to UNIX line endings, because 
    Debian tools go to absolute hell on mixed-ending source trees in git, 
    and we need to patch them
  * [1370647] Imported Upstream version 3.1.1.26+dfsg2
  * [537d87b] Compile missing pieces of bootstrap
  * [0a73b56] Fix cli-common-dev build-dep to be backport-friendly
  * [182eda4] Add bootstrap-required binaries to fsharp binary package

 -- Jo Shields <jo.shields@xamarin.com>  Wed, 15 Oct 2014 12:49:07 +0100

fsharp (3.1.1.26+dfsg-1) unstable; urgency=medium

  * Refresh patches for new upstream version
  * Drop explicit FSharp.Core.dll reference from dep8 test solution
  * Run upstream testsuite in autopkgtests
  * Use single-debian-patch and cherry-picks from master
  * Adapt to changes in install locations

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 11 Jul 2014 16:30:53 +1000

fsharp (3.0.34+dfsg-5) unstable; urgency=low

  * No change rebuild for transition

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 11 Jul 2014 16:37:34 +1000

fsharp (3.0.34+dfsg-4) unstable; urgency=medium

  * Make DEP-8 test depend on only fsharp package to pick up any dependency
    breakage
  * Add missing libmono-compilerservices-symbolwriter4.0-cil dependency to
    fsharp (Closes: 746585)
  * Add fsharpc/fsharpi manpages
  * Strip executable bit from xbuild .Targets files; now lintian clean!
  * Temporarily add Depends on mono-runtime/-common to fix GAC install bug

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 06 May 2014 11:29:49 +1000
