=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: fsharp
 Section: cli-mono
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
+Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Christopher James Halse Rogers <raof@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0),
   dh-autoreconf,
-  cli-common-dev (>= 0.9),
+  cli-common-dev (>= 0.9~),
+  tofrodos
 Standards-Version: 3.9.5
 Homepage: http://fsharp.org
 Vcs-Git: git://anongit.debian.org/pkg-cli-apps/packages/fsharp.git
@@ -33,7 +33,8 @@
 Depends:
   ${cli:Depends},
   ${shlibs:Depends},
-  ${misc:Depends}
+  ${misc:Depends},
+  mono-runtime-common (>= 3.2.8+dfsg-8~) | mono-runtime (>= 3.2.8+dfsg-8~),
 Description: functional-first programming language - core runtime library
  F# is a multi-paradigm programming language, supporting functional,
  imperative, and object-oriented structures.
